# $Revision: 1.107 $, $Date: 2010/02/09 00:29:47 $
#
# Conditional build:
%bcond_with	gnome1		# build with libgnomecanvaspixbuf (which requires GNOME)
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Image loading library used with GNOME
Summary(ko.UTF-8):	그놈에서 사용되는 그림 읽기 라이브러리
Summary(pl.UTF-8):	Biblioteka ładująca obrazki używana w GNOME
Summary(pt_BR.UTF-8):	Biblioteca GdkPixBuf para manipulação de imagens
Summary(ru.UTF-8):	Библиотека загрузки изображений и рендеринга для Gdk
Summary(uk.UTF-8):	Бібліотека завантаження зображень та рендерингу для Gdk
Name:		gdk-pixbuf
Version:	0.22.0
Release:	19
Epoch:		1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/0.22/%{name}-%{version}.tar.bz2
# Source0-md5:	05fcb68ceaa338614ab650c775efc2f2
Patch0:		%{name}-am.patch
Patch1:		%{name}-nognome.patch
Patch2:		%{name}-am18.patch
Patch3:		%{name}-bmploop.patch
Patch4:		%{name}-loaders.patch
Patch5:		%{name}-bmp-colormap.patch
Patch6:		%{name}-ico-width.patch
Patch7:		%{name}-link.patch
Patch8:		%{name}-ac.patch
URL:		http://developer.gnome.org/arch/imaging/gdkpixbuf.html
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gnome1:BuildRequires:	gnome-libs-devel >= 1:1.4.2-15}
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xorg-lib-libXt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GdkPixBuf library provides a number of features:
 - image loading facilities,
 - rendering of a GdkPixBuf into various formats: drawables (windows,
   pixmaps), GdkRGB buffers,
 - a cache interface.

%description -l pl.UTF-8
Biblioteka GdkPixBuf posiada duże możliwości:
 - funkcje wspomagające ładowanie obrazków,
 - oddanie GdkPixBuf w różnych formatach, do rysowania (okna, pixmapy)
   czy bufory GdkRGB,
 - interfejs pamięci podręcznej.

%description -l pt_BR.UTF-8
A biblioteca GdkPixBuf oferece:

- Estrutura GdkPixBuf para representar imagens.
- Facilidades para carga de imagens.
- Maneira simples de carregar imagens animadas.
- Vários formatos: desenháveis (windows, pixmaps), buffers GdkRGB.

%description -l ru.UTF-8
Библиотека GdkPixBuf предоставляет возможность загружать изображения и
рендерить их в разные форматы: окна, пиксмапы, буферы GdkRGB.

%description -l uk.UTF-8
Бібліотека GdkPixBuf надає можливості завантажувати зображення та
рендерити їх в різні формати: вікна, піксмапи, буфери GdkRGB.

%package devel
Summary:	Include files for the gdk-pixbuf
Summary(ko.UTF-8):	gdk-pixbuf 응용프로그램을 개발할때 사용되는 라이브러리와 헤더파일
Summary(pl.UTF-8):	Pliki nagłówkowe dla gdk-pixbuf
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos cabeçalhos para desenvolvimento
Summary(ru.UTF-8):	Средства разработки для программ с GdkPixBuf
Summary(uk.UTF-8):	Засоби розробки для програм з GdkPixBuf
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk+-devel >= 1.2.0
Requires:	gtk-doc-common

%description devel
Include files for the gdk-pixbuf.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gdk-pixbuf.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos cabeçalhos para desenvolvimento de aplicativos
baseados nessa biblioteca.

%description devel -l ru.UTF-8
Файлы, необходимые для разработки программ, использующих GdkPixBuf.

%description devel -l uk.UTF-8
Файли, необхідні для розробки програм, що користуються GdkPixBuf.

%package static
Summary:	Static gdk-pixbuf libraries
Summary(pl.UTF-8):	Biblioteki statyczne gdk-pixbuf
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com gdk-pixbuf
Summary(ru.UTF-8):	Статические библиотеки для программ с GdkPixBuf
Summary(uk.UTF-8):	Статичні бібліотеки для програм з GdkPixBuf
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static gdk-pixbuf libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gdk-pixbuf.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com gdk-pixbuf.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для сборки программ,
использующих GdkPixBuf.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки для програм, які використовують
GdkPixBuf.

%package gnome
Summary:	GNOME part of gdk-pixbuf library
Summary(pl.UTF-8):	Część gdk-pixbuf związana z GNOME
Summary(ru.UTF-8):	Библиотека загрузки изображений и рендеринга для Gdk
Summary(uk.UTF-8):	Бібліотека завантаження зображень та рендерингу для Gdk
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gnome-libs >= 1:1.4.2-15

%description gnome
GNOME part of gdk-pixbuf library.

%description gnome -l pl.UTF-8
Część gdk-pixbuf związana z GNOME.

%description gnome -l ru.UTF-8
Библиотека GdkPixBuf предоставляет возможность загружать изображения и
рендерить их в разные форматы: окна, пиксмапы, буферы GdkRGB.

%description gnome -l uk.UTF-8
Бібліотека GdkPixBuf надає можливості завантажувати зображення та
рендерити їх в різні формати: вікна, піксмапи, буфери GdkRGB.

%package gnome-devel
Summary:	GNOME part of gdk-pixbuf library - development files
Summary(pl.UTF-8):	Część gdk-pixbuf związana z GNOME - pliki dla programistów
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-gnome = %{epoch}:%{version}-%{release}
Requires:	gnome-libs-devel >= 1:1.4.2-15

%description gnome-devel
GNOME part of gdk-pixbuf library - development files.

%description gnome-devel -l pl.UTF-8
Część gdk-pixbuf związana z GNOME - pliki dla programistów.

%package gnome-static
Summary:	GNOME part of gdk-pixbuf library - static version
Summary(pl.UTF-8):	Część gdk-pixbuf związana z GNOME - wersja statyczna
Group:		X11/Development/Libraries
Requires:	%{name}-gnome-devel = %{epoch}:%{version}-%{release}

%description gnome-static
GNOME part of gdk-pixbuf library - static version.

%description gnome-static -l pl.UTF-8
Część gdk-pixbuf związana z GNOME - wersja statyczna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_gnome1:--without-gnome} \
	%{!?with_static_libs:--disable-static}

%{__make} \
	AS="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	HTML_DIR=%{_gtkdocdir}

# resolve conflict with gtk+2-devel
mv -f $RPM_BUILD_ROOT%{_gtkdocdir}/gdk-pixbuf{,-1.0}

# no *.{a,la} for plugins - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf/loaders/lib*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	gnome -p /sbin/ldconfig
%postun	gnome -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdk*.so.*.*
%dir %{_libdir}/gdk-pixbuf
%dir %{_libdir}/gdk-pixbuf/loaders
%attr(755,root,root) %{_libdir}/gdk-pixbuf/loaders/lib*.so*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gdk-pixbuf-config
%attr(755,root,root) %{_libdir}/gdk*.sh
%attr(755,root,root) %{_libdir}/libgdk*.so
%{_libdir}/libgdk*.la
%dir %{_includedir}/gdk-pixbuf-1.0
%dir %{_includedir}/gdk-pixbuf-1.0/gdk-pixbuf
%{_includedir}/gdk-pixbuf-1.0/gdk-pixbuf/gdk*.h
%{_aclocaldir}/*
%dir %{_gtkdocdir}/gdk-pixbuf-1.0
%{_gtkdocdir}/gdk-pixbuf-1.0/[!g]*
%{_gtkdocdir}/gdk-pixbuf-1.0/g[!n]*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgdk*.a
%endif

%if %{with gnome1}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome*.so.*.*

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome*.sh
%attr(755,root,root) %{_libdir}/libgnome*.so
%{_libdir}/libgnome*.la
%{_includedir}/gdk-pixbuf-1.0/gdk-pixbuf/gnome*.h
%{_gtkdocdir}/gdk-pixbuf-1.0/gnome*

%if %{with static_libs}
%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libgnome*.a
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdk-pixbuf.spec,v $
Revision 1.107  2010/02/09 00:29:47  sparky
- dropped BR: giflib-devel

Revision 1.106  2010/02/06 21:02:30  arekm
- release 19

Revision 1.105  2009/11/27 02:11:37  sparky
- BR: xorg-lib-libXt-devel

Revision 1.104  2009/07/10 19:53:05  arekm
- release 18

Revision 1.103  2008/11/11 14:48:11  arekm
- rel 17; fix build with new libtool

Revision 1.102  2008/11/11 12:08:41  arekm
- release 16

Revision 1.101  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.100  2007/09/10 01:56:44  wolvverine
- rel.15

Revision 1.99  2007/09/06 15:12:26  baggins
- rel 14
- disable gnome1 support by default

Revision 1.98  2007/08/26 18:32:16  qboosh
- unified gnome source URL
- clarified License

Revision 1.97  2007/08/22 19:15:52  witekfl
- added bcond_without static_libs

Revision 1.96  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.95  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.94  2007/01/05 18:15:38  arekm
- rel 13

Revision 1.93  2006/09/03 22:12:00  qboosh
- use _gtkdocdir from rpm macros

Revision 1.92  2006/09/02 20:52:23  glen
- _defaultdocdir -> _docdir

Revision 1.91  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.90  2006/08/27 10:16:06  qboosh
- added link patch
- require gnome-libs with fixed linking (>= 1:1.4.2-15)
- release 11

Revision 1.89  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.88  2005/05/04 00:14:59  pluto
- release 10 for Th.

Revision 1.87  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.86  2004/09/17 13:21:10  qboosh
- keep CAN references for fixed security issues in package changelog

Revision 1.85  2004/09/17 13:00:43  blues
- release 9 - removed security notes (fixed)
[CAN-2004-0753 CAN-2004-0782 CAN-2004-0783 CAN-2004-0788]

Revision 1.84  2004/09/17 12:52:09  blues
- few patches stollen from Fedora

Revision 1.83  2004/09/16 06:14:58  qboosh
- security note

Revision 1.82  2004/02/12 21:05:23  qboosh
- strict internal deps

Revision 1.81  2004/01/30 14:22:27  adgor
Changed bcond name (gnome -> gnome1)

Revision 1.80  2003/12/22 16:27:53  qboosh
- added am18 patch (gdk-pixbuf.m4 quotation fix); release 8

Revision 1.79  2003/12/06 23:10:35  qboosh
- new-style bcond, cleanups
- release 7 to rebuild on gnome-libs using external libart_lgpl

Revision 1.78  2003/12/05 19:16:47  mmazur
- rel 6 to rebuild with new db

Revision 1.77  2003/08/11 16:36:25  areq
- Release 5 ,rebuild in nest

Revision 1.76  2003/07/04 08:08:27  qboosh
- -devel R: gtk+-devel

Revision 1.75  2003/06/23 17:41:47  jareq
- fixed epoch:version issue

Revision 1.74  2003/06/04 14:04:44  qboosh
- release 4 (3 is bugfix for ra/u/g)

Revision 1.73  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.72  2003/05/25 05:47:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.71  2003/05/01 20:26:01  kloczek
- merge translations from MIZI.

Revision 1.70  2003/04/26 17:26:39  qboosh
- no static plugins

Revision 1.69  2003/02/01 00:12:56  adgor
- Release 2

Revision 1.68  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.67  2002/12/20 13:15:16  grzegol
- updated to 0.22.0

Revision 1.66  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.65  2002/10/18 11:49:24  grzegol
- fixed Source0

Revision 1.64  2002/10/18 11:46:14  grzegol
- updated to 0.21.0

Revision 1.63  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.62  2002/09/17 00:14:28  qboosh
- nognome patch - allow building without gnome even if gnome-config is present
- added gtk-doc files (with fixed location, not conflicting with gtk+2-devel)
- removed libpng 1.2.2 hack
- release 2

Revision 1.61  2002/09/16 20:36:19  kloczek
- (auto)updated to 0.19.0: bug fixes in CMYK JPEG loader.

Revision 1.60  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.59  2002/06/18 21:06:35  kloczek
- updated to 0.18.0 (this release only fixes two bugs).

Revision 1.58  2002/05/23 05:26:39  kloczek
- merge translations from KSI,
- use new %doc packing infrastructure.

Revision 1.57  2002/05/23 01:04:51  wrobell
- ver. 0.17.0 /bugfix release/
- stb

Revision 1.56  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.55  2002/04/27 09:08:46  qboosh
- separated gnome subpackages (now base gdk-pixbuf shouldn't require gnome-libs)
- release 3.1 - please test

Revision 1.54  2002/04/25 16:21:37  arturs
fixed a small typo

Revision 1.53  2002/04/18 10:48:26  wiget
allow compilation with libpng 1.2.2

Revision 1.52  2002/04/16 09:57:55  wiget
fix compilation with automake 1.6 and autoconf 2.53

Revision 1.51  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.50  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/26 07:15:52  kloczek
- updated to 0.16.0 (bugfix release).

Revision 1.47  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/12/14 00:11:14  kloczek
- updated to 0.14.0 (backport BMP loader from GTK+ 1.3).

Revision 1.45  2001/11/05 11:30:19  kura
- updated to 0.13.0

Revision 1.44  2001/10/20 00:46:24  kloczek
- cosmetics.

Revision 1.43  2001/10/19 22:28:34  qboosh
- updated am patch for automake 1.5
- removed --enable-canvas-pixbuf from configure - not used in 0.11.0
- release 10

Revision 1.42  2001/09/17 11:35:10  qboosh
- removed English "es" translations, cleanups

Revision 1.41  2001/09/02 19:58:48  kloczek
- relese 9: removed dumb Requires rule from devel Requires rules.

Revision 1.40  2001/08/30 08:50:22  kloczek
- release 8: added gdk-pixbuf-gnome to Obsoletes,

Revision 1.39  2001/07/21 20:19:16  kloczek
- release 6.

Revision 1.38  2001/07/21 19:14:30  blues
- --enable-canvas-pixbuf - needed for eel and nautilus

Revision 1.37  2001/07/11 00:22:50  qboosh
- _without_gnome
- typo

Revision 1.36  2001/07/09 10:33:39  kloczek
- release 5: rebuild in new ac 2.50 environment.

Revision 1.35  2001/06/23 07:33:03  kloczek
- release 4: "rn -f missing" before call automake in %build.

Revision 1.34  2001/05/07 23:15:50  misiek
release 2

Revision 1.33  2001/05/07 22:25:59  misiek
rebuild auto* and libtool stuff

Revision 1.32  2001/04/28 03:30:22  kloczek
- updated to 0.11.0.

Revision 1.31  2001/03/24 02:06:34  blues
- few translations

Revision 1.30  2001/03/12 21:57:23  kloczek
- updated to 0.10.1.

Revision 1.29  2001/03/02 12:02:25  kloczek
- updated to 0.10.0.

Revision 1.28  2001/02/28 05:05:43  kloczek
- release 5: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.27  2001/02/16 10:09:21  kloczek
- release 4: removed *.la files from plugins directory.

Revision 1.26  2000/10/27 00:59:04  kloczek
- release 3,
- rebuild against gnome-libs linked with db3,
- added Epoch: 1 (for allow upgrade from RH 7).

Revision 1.25  2000/10/16 23:30:15  kloczek
- release 2: use new rpm automation.

Revision 1.24  2000/08/27 23:55:59  kloczek
- updated to 0.9.0.

Revision 1.23  2000/07/28 13:57:07  zagrodzki
- release 5, built against libpng >= 1.0.8

Revision 1.22  2000/07/19 20:03:03  baggins
- release 4
- rebuild with libpng 1.0.7

Revision 1.21  2000/07/11 08:19:21  kloczek
- release 3,
- new summary.

Revision 1.20  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/22 19:45:49  kloczek
- updated to 0.8.0.

Revision 1.17  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.16  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.15  2000/04/14 09:33:06  kloczek
- updated to 0.7.0,
- added INCLUDES_fix patch with fix INCLUDES in
  gdk-pixbuf/pixops/Makefile.am.

Revision 1.14  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.12  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.11  2000/02/27 14:15:13  mkochano
- More 'BuildRequires'.

Revision 1.10  2000/02/25 17:20:03  mkochano
- More 'BuildRequires'

Revision 1.9  2000/02/22 17:13:17  kloczek
- updated to 0.6.0.

Revision 1.8  2000/02/03 18:28:31  kloczek
- release 3,
- fixed typo in _m4datadir path (now aclocal macros for gdk-pixbuf are
  installed in proper place).

Revision 1.7  2000/01/27 17:01:43  kloczek
- release 2,
- recompiled in new environment libesd which not depends on liasound.

Revision 1.6  2000/01/23 23:55:55  kloczek
- typo in %files.

Revision 1.5  2000/01/23 23:43:03  kloczek
- updated to 0.5.0,
- adapter(ized) spec,
- License changed to LGPL,
- added aclocal macros file and gdk-pixbuf-config script to devel.

Revision 1.4  1999/11/09 23:24:11  kloczek
- update to 0.4.

Revision 1.3  1999/11/01 21:44:07  kloczek
- updated to 0.3.

Revision 1.2  1999/10/02 22:29:22  kloczek
- removed runing gettextize and automake from %build.

Revision 1.1  1999/10/02 22:24:26  kloczek
- the GdkPixBuf library provides spec file written from scrach.
